Try to build mkisofs' first, and only pkg_add -r' if you cannot.

This commit is contained in:
David E. O'Brien 2001-09-03 20:29:21 +00:00
parent 2c1763d430
commit 074aec36c2
3 changed files with 24 additions and 12 deletions

View File

@ -36,10 +36,14 @@ fi
type mkisofs 2>&1 | grep " is " >/dev/null
if [ $? -ne 0 ]; then
echo The mkisofs port is not installed. Trying to get it now.
if ! pkg_add -r mkisofs; then
echo "Could not get it via pkg_add - please go install this"
echo "from the ports collection and run this script again."
exit 2
if [ -f /usr/ports/sysutils/mkisofs/Makefile ]; then
cd /usr/ports/sysutils/mkisofs && make install && make clean
else
if ! pkg_add -r mkisofs; then
echo "Could not get it via pkg_add - please go install this"
echo "from the ports collection and run this script again."
exit 2
fi
fi
fi

View File

@ -39,10 +39,14 @@ fi
type mkisofs 2>&1 | grep " is " >/dev/null
if [ $? -ne 0 ]; then
echo The mkisofs port is not installed. Trying to get it now.
if ! pkg_add -r mkisofs; then
echo "Could not get it via pkg_add - please go install this"
echo "from the ports collection and run this script again."
exit 2
if [ -f /usr/ports/sysutils/mkisofs/Makefile ]; then
cd /usr/ports/sysutils/mkisofs && make install && make clean
else
if ! pkg_add -r mkisofs; then
echo "Could not get it via pkg_add - please go install this"
echo "from the ports collection and run this script again."
exit 2
fi
fi
fi

View File

@ -39,10 +39,14 @@ fi
type mkisofs 2>&1 | grep " is " >/dev/null
if [ $? -ne 0 ]; then
echo The mkisofs port is not installed. Trying to get it now.
if ! pkg_add -r mkisofs; then
echo "Could not get it via pkg_add - please go install this"
echo "from the ports collection and run this script again."
exit 2
if [ -f /usr/ports/sysutils/mkisofs/Makefile ]; then
cd /usr/ports/sysutils/mkisofs && make install && make clean
else
if ! pkg_add -r mkisofs; then
echo "Could not get it via pkg_add - please go install this"
echo "from the ports collection and run this script again."
exit 2
fi
fi
fi